Subject: Bug#554: Disable local screensaver when x2go session is in fullscreen mode

From: Reinhard Tartler <[email-masked]>
Date: Sun, 20 Jul 2014 10:56:21 -0400

Package: nxproxy
Severity: serious

I noticed that the when nxproxy is in fullscreen mode, it (by design)
captures all keyboard strokes. This is in general great because this
way all keyboard shortcuts on the remote work.

However, the local screen saver might still kick in and require a
password. Because the nxproxy captures all input, a less carefull user
might enter his local password into the current application that is
running in the x2go session. When the remote application happens to be
a chat application, entering your password might have serious security
implications.

I think a fullscreen nxproxy is a good reason to inhibit the local screensaver.

-- 
regards,
    Reinhard